%define upstream_name    Plack
%define upstream_version 1.0051

# For not requiring apache-mod_perl . See:
# https://bugs.mageia.org/show_bug.cgi?id=17128
%define __requires_exclude perl\\((Apache2|APR)::[^\\)]+|CGI::Compile|CGI::Emulate::PSGI\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::LogFormat::Compiler) >= 0.330.0
BuildRequires: perl(Cookie::Baker) >= 0.70.0
BuildRequires: perl(Devel::StackTrace) >= 1.230.0
BuildRequires: perl(Devel::StackTrace::AsHTML) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(Filesys::Notify::Simple)
BuildRequires: perl(HTTP::Entity::Parser) >= 0.250.0
BuildRequires: perl(HTTP::Headers::Fast) >= 0.180.0
BuildRequires: perl(HTTP::Message) >= 5.814.0
BuildRequires: perl(HTTP::Tiny) >= 0.34.0
BuildRequires: perl(Hash::MultiValue) >= 0.50.0
BuildRequires: perl(Pod::Usage) >= 1.360.0
BuildRequires: perl(Stream::Buffered) >= 0.20.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 2.150.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.590.0
BuildRequires: perl(WWW::Form::UrlEncoded) >= 0.230.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack is a set of tools for using the PSGI stack. It contains middleware
components, a reference server and utilities for Web application
frameworks. Plack is like Ruby's Rack or Python's Paste for WSGI.

See the PSGI manpage for the PSGI specification and the PSGI::FAQ manpage
to know what PSGI and Plack are and why we need them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_bindir}/*
%{_mandir}/man?/*
%{perl_vendorlib}/*
# Abandoned/Unsupported in Mga: Apache1
%exclude %{perl_vendorlib}/Plack/Server/Apache1.pm
%exclude %{perl_vendorlib}/Plack/Handler/Apache1.pm

%changelog
* Mon Jan 08 2024 tv <tv> 1.5.100-1.mga10
+ Revision: 2028943
- update to 1.0051

* Tue Sep 06 2022 tv <tv> 1.5.0-1.mga9
+ Revision: 1884566
- update to 1.0050

* Mon Sep 05 2022 tv <tv> 1.4.900-1.mga9
+ Revision: 1884079
- update to 1.0049

* Mon Mar 28 2022 umeabot <umeabot> 1.4.800-2.mga9
+ Revision: 1830422
- Mageia 9 Mass Rebuild

* Mon Nov 30 2020 tv <tv> 1.4.800-1.mga8
+ Revision: 1650626
- update to 1.0048

* Wed Feb 12 2020 umeabot <umeabot> 1.4.700-3.mga8
+ Revision: 1505979
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.700-2.mga7
+ Revision: 1285724
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 tv <tv> 1.4.700-1.mga7
+ Revision: 1200319
- update to 1.0047

* Fri Jan 05 2018 tv <tv> 1.4.500-1.mga7
+ Revision: 1190318
- update to 1.0045

* Fri Jul 28 2017 shlomif <shlomif> 1.4.400-1.mga7
+ Revision: 1132010
- New version 1.0044

* Sun Jun 19 2016 pterjan <pterjan> 1.3.900-4.mga6
+ Revision: 1032075
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 shlomif <shlomif> 1.3.900-3.mga6
+ Revision: 997066
- Exclude some unneeded requires

* Sat Jan 16 2016 shlomif <shlomif> 1.3.900-2.mga6
+ Revision: 924562
- Fix MGA#17128 - don't require apache-mod_perl.

* Sat Jan 16 2016 shlomif <shlomif> 1.3.900-1.mga6
+ Revision: 923911
- update to 1.0039

* Sun Jul 05 2015 sander85 <sander85> 1.3.700-1.mga6
+ Revision: 851422
- update to 1.0037
- Revert the stupid commit in the wrong branch.. doh..
- Fix CVE-2014-5269

* Wed Oct 15 2014 umeabot <umeabot> 1.3.100-3.mga5
+ Revision: 750892
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1.3.100-2.mga5
+ Revision: 736437
- add excludes
+ jquelin <jquelin>
- update to 1.0031

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-2.mga5
+ Revision: 685974
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.3.0-1.mga5
+ Revision: 586007
- update to 1.0030

* Sat Oct 19 2013 umeabot <umeabot> 1.2.900-2.mga4
+ Revision: 532884
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 sander85 <sander85> 1.2.900-1.mga4
+ Revision: 470248
- update to 1.0029
+ jquelin <jquelin>
- update to 1.0028

* Sun Jan 13 2013 umeabot <umeabot> 1.1.400-2.mga3
+ Revision: 371819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.1.400-1.mga3
+ Revision: 342536
- update to 1.0014

* Wed Nov 14 2012 jquelin <jquelin> 1.1.100-1.mga3
+ Revision: 317751
- update to 1.0011

* Wed Nov 07 2012 jquelin <jquelin> 1.1.0-1.mga3
+ Revision: 315822
- update to 1.0010

* Mon Oct 15 2012 jquelin <jquelin> 1.0.500-1.mga3
+ Revision: 306586
- update to 1.0005

* Wed Sep 26 2012 jquelin <jquelin> 1.0.400-1.mga3
+ Revision: 298084
- update to 1.0004

* Fri Aug 31 2012 kharec <kharec> 1.0.300-1.mga3
+ Revision: 286440
- update to 1.0003

* Wed Jul 04 2012 jquelin <jquelin> 0.998.900-1.mga3
+ Revision: 267461
- update to 0.9989

* Tue Jun 05 2012 jquelin <jquelin> 0.998.800-1.mga3
+ Revision: 255354
- update to 0.9988

* Thu Mar 29 2012 jquelin <jquelin> 0.998.500-2.mga2
+ Revision: 227439
- fix summary (mga#5150)

* Tue Nov 08 2011 jquelin <jquelin> 0.998.500-1.mga2
+ Revision: 165537
- update to 0.9985

* Thu Oct 13 2011 jquelin <jquelin> 0.998.400-1.mga2
+ Revision: 154451
- update to 0.9984
- update to 0.9982

* Tue Jun 21 2011 jquelin <jquelin> 0.998.0-1.mga2
+ Revision: 111279
- imported package perl-Plack

